Modify

#261 closed enhancement (wontfix)

GaduGadu support for Bitlbee

Reported by: Gerry Owned by:
Priority: pony Milestone:
Component: BitlBee Version: 1.0.3
Keywords: Cc:
IRC client+version: Client-independent Operating System: Public server
OS version/distro:

Description

Since Gaim has GaduGadu support, I guess it wouldn't be all that hard to implement this in Bitlbee too. I gave it a try myself, but my C skills are seriously lacking, so it seems.

Having GaduGadu support would really be interesting for a lot of Polish people (and for people like me, with contacts in Poland), since now they are bound to use Yet Another Client, next to their IRC client.

Attachments (0)

Change History (7)

comment:1 Changed at 2007-03-19T11:27:55Z by jan@…

Just as a side note: Since BitlBee supports Jabber, it in fact supports every protocol for which Jabber transports exists. So you could just get yourself a Jabber address and register with a GaduGadu Jabber transport. In fact, I don't see many disadvantages with this approach, since some of the disadvantages of Jabber transports - most notable no file transfer - are not yet implemented in BitlBee anyway.

comment:2 Changed at 2007-03-27T04:37:41Z by wilmer

The fact that Gaim supports it means pretty much nothing anymore, at least if you're talking about recent (post-2002) versions of Gaim. The BitlBee API changed a bit (and will change a lot in the near future, I hope) while today's Gaim API is already *completely* different AFAIK.

Although of course you can try to port the Gaim 0.58 GG module to BitlBee. That's the Gaim version BitlBee "forked" from.

comment:3 Changed at 2007-09-28T12:45:16Z by rzadzins@…

I'd like to ask to add GG support. Bee seems interesting, but GG is the most common IM protocol in Poland... No Pole will install an IM that doesn't support it, even if they prefer other protocols, such as jabber.

There's the library for GG called libgadu - so maybe adding this feature might not be as hard yet still very beneficial to the users?

comment:4 Changed at 2009-11-25T22:00:35Z by lazy_bum

+1 for that bug.

comment:5 in reply to:  4 Changed at 2011-11-18T17:24:57Z by anonymous

Just install libpurple and GG will work

comment:7 Changed at 2014-07-07T13:16:57Z by dx

Resolution: wontfix
Status: newclosed

Closing all protocol request tickets.

For most of the requested protocols, it's likely we won't have time and/or interest to implement them, and some tickets have stayed open here for years when they have libpurple implementations, or even as third party plugins. Implementing protocols in the core is far from a priority nowadays, although I hope we can make it easier to write third party plugins. As always, anyone who is interested in implementing bitlbee plugins for these can do so, and we're willing to help (join irc!)

In this particular case, there is a libpurple implementation, see ​http://wiki.bitlbee.org/HowtoPurple

Modify Ticket

Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.